using System;
using System.Collections.Generic;
using System.Linq;
using EvoBoat.EvoAlg;

namespace PlantDemo
{
    public class PlantZombSolution : VecSolution<IntVector, int>, ICloneable<PlantZombSolution>
    {
        public double TDamage { get; set; }
        public int TCost { get; set; }

        public PlantZombSolution()
        { }

        public PlantZombSolution(IntVector v)
        {
            this.Content = v;
        }

        public new PlantZombSolution Clone()
        {
            return new PlantZombSolution(this.Content.Clone()) { Fit = this.Fit, TDamage = this.TDamage, TCost = this.TCost };
        }
    }
}
